Package com.enonic.xp.query.suggester

## Class TermSuggestionQuery

- java.lang.Object
- - com.enonic.xp.query.suggester.SuggestionQuery
  - - com.enonic.xp.query.suggester.TermSuggestionQuery

-     public final class TermSuggestionQuery
      extends SuggestionQuery

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TermSuggestionQuery.Builder` |
    `static class` | `TermSuggestionQuery.Sort` |
    `static class` | `TermSuggestionQuery.StringDistance` |
    `static class` | `TermSuggestionQuery.SuggestMode` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TermSuggestionQuery.Builder` | `create​(String name)` |
    `Integer` | `getMaxEdits()` |
    `Integer` | `getMaxInspections()` |
    `Float` | `getMaxTermFreq()` |
    `Float` | `getMinDocFreq()` |
    `Integer` | `getMinWordLength()` |
    `Integer` | `getPrefixLength()` |
    `TermSuggestionQuery.Sort` | `getSort()` |
    `TermSuggestionQuery.StringDistance` | `getStringDistance()` |
    `TermSuggestionQuery.SuggestMode` | `getSuggestMode()` |
    `String` | `toString()` |

    - ### Methods inherited from class com.enonic.xp.query.suggester.SuggestionQuery

      `doToString, getAnalyzer, getField, getName, getSize, getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSort

          public TermSuggestionQuery.Sort getSort()

    - #### getSuggestMode

          public TermSuggestionQuery.SuggestMode getSuggestMode()

    - #### getMaxEdits

          public Integer getMaxEdits()

    - #### getPrefixLength

          public Integer getPrefixLength()

    - #### getMinWordLength

          public Integer getMinWordLength()

    - #### getMaxInspections

          public Integer getMaxInspections()

    - #### getMinDocFreq

          public Float getMinDocFreq()

    - #### getMaxTermFreq

          public Float getMaxTermFreq()

    - #### getStringDistance

          public TermSuggestionQuery.StringDistance getStringDistance()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### create

          public static TermSuggestionQuery.Builder create​(String name)